Bug 148075 - [PATCH] audio/oss: oss/files path issue with soundon script
Summary: [PATCH] audio/oss: oss/files path issue with soundon script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-22 21:50 UTC by leres
Modified: 2012-01-31 21:09 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2010-06-22 21:50:04 UTC
	The soundon script assumes /usr/local/bin is on PATH but
	that is not the case when rc.d/oss runs soundon at at boot time.

Fix: 

This is a multi-part message in MIME format.
 --------------000308000202080402060202
 Content-Type: text/plain; charset=ISO-8859-1
 Content-Transfer-Encoding: 7bit
 
 -----BEGIN PGP SIGNED MESSAGE-----
 Hash: SHA1
 
	The attached patch add an explicit path to the two invocations
	of ossinfo.
 
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v1.4.10 (FreeBSD)
 Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org
 
 iEYEARECAAYFAkwhIVAACgkQWxlAhAje3JtLwgCfZqqOmtuwte68D3qfW36cYBKR
 LHoAoIxV9ZTWtVnsHNJehNmxVhLCGGc+
 =Vdun
 -----END PGP SIGNATURE-----
 
 --------------000308000202080402060202
 Content-Type: text/plain;
  name="patch-oss.txt"
 Content-Transfer-Encoding: 7bit
 Content-Disposition: inline;
  filename="patch-oss.txt"
 
 *** files/patch-setup-FreeBSD-sbin-soundon.virgin	Thu Dec 11 16:36:44 2008
 --- files/patch-setup-FreeBSD-sbin-soundon	Tue Jun 22 13:35:04 2010
 ***************
 *** 1,5 ****
 ! --- setup/FreeBSD/sbin/soundon.orig	2008-09-16 16:55:03.000000000 -0400
 ! +++ setup/FreeBSD/sbin/soundon	2008-12-11 15:14:31.000000000 -0500
   @@ -1,10 +1,10 @@
    #!/bin/sh
    
 --- 1,5 ----
 ! --- setup/FreeBSD/sbin/soundon.orig	2010-06-22 13:31:06.000000000 -0700
 ! +++ setup/FreeBSD/sbin/soundon	2010-06-22 13:32:20.000000000 -0700
   @@ -1,10 +1,10 @@
    #!/bin/sh
    
 ***************
 *** 46,48 ****
 --- 46,66 ----
    
    if test -x $OSSLIBDIR/soundon.user
    then
 + @@ -97,7 +97,7 @@
 +    $OSSLIBDIR/soundon.user >> $LOG 2>&1
 +  fi
 +  
 + -if test "`ossinfo -g|grep TRIAL` " != " "
 + +if test "`%%PREFIX%%/bin/ossinfo -g|grep TRIAL` " != " "
 +  then
 +  	echo
 +  	echo "************************************************************"
 + @@ -108,7 +108,7 @@
 +  	sleep 1
 +  fi
 +  
 + -if test "`ossinfo -g|grep EXPIRED` " != " "
 + +if test "`%%PREFIX%%/bin/ossinfo -g|grep EXPIRED` " != " "
 +  then
 +  	echo
 +  	echo "****************************************************************"
 
 --------------000308000202080402060202
 Content-Type: application/octet-stream;
  name="patch-oss.txt.sig"
 Content-Transfer-Encoding: base64
 Content-Disposition: attachment;
  filename="patch-oss.txt.sig"
 
 iEYEABECAAYFAkwhIVAACgkQWxlAhAje3JuVTQCfcS5mJ+ZOTF1cF+gyHFlIYu+jxPgAn0yj
 im2+XEYnBdER9fwZXHyk1nqb
 --------------000308000202080402060202--
How-To-Repeat: 	Watch for the error message "ossinfo: not found" to appear twice
	during bootup.
Comment 1 Mark Linimon freebsd_committer 2010-07-14 01:15:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jkim

Fix synopsis and assign; try to recover email formatting.
Comment 2 Martin Wilke freebsd_committer 2011-11-06 16:04:57 UTC
State Changed
From-To: open->feedback

any news here?
Comment 3 Jung-uk Kim freebsd_committer 2012-01-31 21:09:10 UTC
State Changed
From-To: feedback->closed

It was fixed a year ago.